> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of supported message types



## OpenAPI

````yaml /api-reference/4.2/service-messaging.json get /messaging
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service messaging
servers:
  - url: /api/apollo/
security: []
tags:
  - name: messaging
paths:
  /messaging:
    get:
      tags:
        - 4.2 Messaging API
      summary: Get a list of supported message types
      operationId: supportedMessageTypes
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string

````